Skip to main content
GET
List stores

Authorizations

Authorization
string
header
required

API key authentication. Include your API key as a Bearer token.

Example: Bearer sk_prod_xxxxxx

Get your API key from the Stell Dashboard.

Query Parameters

externalId
string

Filter by external system identifier

limit
string

Maximum number of stores to return (1-100). Defaults to 100.

nextToken
string

Token for pagination

merchantId
string

Filter stores by specific merchant ID

Response

Stores retrieved successfully

data
object
required

Page of stores plus the pagination cursor

requestId
string
required

Unique request identifier for debugging

Pattern: ^[0-9A-Z]{26}$